/**
 * 在生产环境 代理是无法生效的，所以这里没有生产环境的配置
 * -------------------------------
 * The agent cannot take effect in the production environment
 * so there is no configuration of the production environment
 * For details, please see
 * https://pro.ant.design/docs/deploy
 */
export default {
  dev: {
    '/kitchen/': {
      target: 'https://localhost:5001/',
      changeOrigin: true,
      secure: false, //关闭证书验证
      pathRewrite: {
        '/kitchen/': '',
      },
    },
    // Nginx发布的时候需要配置
    '/cos/':{
      target: 'https://hbl-test-1305371387.cos.ap-chengdu.myqcloud.com',
      changeOrigin: true,
      secure: false, //关闭证书验证
      pathRewrite: {
        '/cos/': '/',
      },
    }
  },
  test: {
    '/api/': {
      target: 'http://localhost:7002',
      changeOrigin: true,
      secure: false,
      pathRewrite: {
        '^': '',
      },
    },
  },
  pre: {
    '/api/': {
      target: 'http://localhost:7002',
      changeOrigin: true,
      secure: false,
      pathRewrite: {
        '^': '',
      },
    },
  },
};
// /**
//  * 在生产环境 代理是无法生效的，所以这里没有生产环境的配置
//  * -------------------------------
//  * The agent cannot take effect in the production environment
//  * so there is no configuration of the production environment
//  * For details, please see
//  * https://pro.ant.design/docs/deploy
//  */
//  export default {
//   dev: {
//     '/api/': {
//       target: 'http://114.117.161.250:7002',
//       changeOrigin: true,
//       secure: false, //关闭证书验证
//       pathRewrite: {
//         '^': '',
//       },
//     },
//   },
//   test: {
//     '/api/': {
//       target: 'http://114.117.161.250:7002',
//       changeOrigin: true,
//       secure: false,
//       pathRewrite: {
//         '^': '',
//       },
//     },
//   },
//   pre: {
//     '/api/': {
//       target: 'http://114.117.161.250:7002',
//       changeOrigin: true,
//       secure: false,
//       pathRewrite: {
//         '^': '',
//       },
//     },
//   },
// };
